Subject: bug#25875: 26.0.50; Hang logging out of MS-Windows

From: Richard Copley <[email-masked]>
Date: Sat, 25 Feb 2017 22:02:17 +0000

On 25 February 2017 at 21:37, Richard Copley <[email-masked]> wrote:
> On 25 February 2017 at 21:30, Richard Copley <[email-masked]> wrote:
>>>>> Configured using:
>>>>>  'configure --prefix=/mingw64 --with-modules
>>>>>  --enable-locallisppath=/c/emacs/site-lisp
>>>>>  CPPFLAGS=-D_WIN32_WINNT=_WIN32_WINNT_WIN7 'CFLAGS=-O0 -g -ggdb''
>>>>
>>>> Why are you setting _WIN32_WINNT to this value when compiling Emacs?
>>>
>>> It's part of a patch that sets the AppUserModelID of the Emacs
>>> process and of the shortcut created by addpm.exe to the same
>>> string, so that if I pin the shortcut to the taskbar, that icon
>>> will combine with the taskbar button of a running Emacs process.
>>> I can't imagine it's relevant to this issue.
>>>
>>> [Would you like to see the patch? It would only be a starting point,
>>> since it wouldn't compile on earlier versions of the OS in its
>>> current state. And I'm still not ready to assign copyright.]
>>
>> Hmm, that doesn't make much sense, does it? I only need those
>> flags in addpm.c, not for the rest of Emacs. Perhaps it's left over
>> from another experiment. I've taken it out of my build script, but
>> I haven't rebuilt because current master doesn't build from pristine:

Builds fine without that flag, so I'll stop using it. Thanks.

A negative test result: from "emacs -Q", this recipe
doesn't cause a hang:

;; open an Ediff control panel frame
M-x ediff-buffers RET *scratch* RET *Messages* RET
;; Restart the computer.
;; (Result: the computer restarts normally.)

Another data point: I observed the same thing (i.e., Windows
failing to shut down, followed by Emacs being in a state where it
doesn't respond to keyboard and mouse input) on my work Windows 7
laptop. (Didn't attach GDB and didn't try "taskkill.exe" that time.)

So this doesn't seem to be related to my hardware or Windows 10.
But it could be influenced by my config (which is all but
identical on both machines), since I haven't reproduced it
from "emacs -Q".